/*
 * Copyright 2019 by Kappich Systemberatung Aachen
 * ALL RIGHTS RESERVED.
 */

package de.bsvrz.dav.daf.accessControl;

/**
 * Art der Rechteprüfung
 * 
 * @author Kappich Systemberatung
 * @version $Revision$
 */
public enum AccessControlMode {

	/**
	 * Keine Rechteprüfung (alles Erlaubt)
	 */
	Disabled,

	/**
	 * Altes Datenmodell ({@code atg.benutzerParameter}, {@code atg.zugriffsRechte} usw.)
	 */
	OldDataModel,

	/**
	 * Neues Datenmodell ({@code atg.berechtigungsklassen}, {@code atg.rollenRegionenPaare} usw.)
	 */
	NewDataModel
}
